import 'package:flutter/material.dart';

class EzContainer extends StatefulWidget {
  final Color color;
  final Widget child;
  final double width;
  final double height;
  final double borderRadius;

  const EzContainer({
    Key? key,
    required this.color,
    required this.child,
    required this.width,
    required this.height,
    required this.borderRadius,
  }) : super(key: key);

  @override
  _EzContainerState createState() => _EzContainerState();
}

class _EzContainerState extends State<EzContainer> {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: widget.width,
      height: widget.height,
      decoration: BoxDecoration(
          color: widget.color,
          borderRadius: BorderRadius.circular(widget.borderRadius)),
    );
  }
}
